USE COWS
GO

--ALTER TABLE arch.MDS_EVENT_MNS_OE  ALTER COLUMN FTN varchar(20) 
--GO

ALTER TABLE dbo.MDS_EVENT_MNS_OE  ALTER COLUMN FTN varchar(20) 
GO


GO

/****** Object:  Index [IX11_AD_EVENT_FTN]    Script Date: 05/08/2015 15:26:40 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[AD_EVENT]') AND name = N'IX11_AD_EVENT_FTN')
DROP INDEX [IX11_AD_EVENT_FTN] ON [dbo].[AD_EVENT] WITH ( ONLINE = OFF )
GO


ALTER TABLE dbo.AD_EVENT ALTER COLUMN FTN varchar(20) 
GO

/****** Object:  Index [IX11_AD_EVENT_FTN]    Script Date: 05/08/2015 15:26:40 ******/
CREATE NONCLUSTERED INDEX [IX11_AD_EVENT_FTN] ON [dbo].[AD_EVENT] 
(
	[FTN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO


--ALTER TABLE arch.AD_EVENT ALTER COLUMN FTN varchar(20) 
--GO

--ALTER VIEW dbo.AD_EVENT ALTER COLUMN FTN varchar(20) 
--GO

/****** Object:  View [dbo].[vAD_EVENT]    Script Date: 05/08/2015 15:56:38 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vAD_EVENT]'))
DROP VIEW [dbo].[vAD_EVENT]
GO

/****** Object:  View [dbo].[vAD_EVENT]    Script Date: 05/08/2015 15:56:38 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vAD_EVENT]   AS  SELECT * FROM  [dbo].[AD_EVENT]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[AD_EVENT]  with (nolock)    

GO

--ALTER TABLE arch.MPLS_EVENT  ALTER COLUMN FTN varchar(20) 
--GO


/****** Object:  Index [IX17_MPLS_EVENT_FTN]    Script Date: 05/08/2015 15:59:10 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[MPLS_EVENT]') AND name = N'IX17_MPLS_EVENT_FTN')
DROP INDEX [IX17_MPLS_EVENT_FTN] ON [dbo].[MPLS_EVENT] WITH ( ONLINE = OFF )
GO

ALTER TABLE dbo.MPLS_EVENT  ALTER COLUMN FTN varchar(20) 
GO

/****** Object:  Index [IX17_MPLS_EVENT_FTN]    Script Date: 05/08/2015 15:59:10 ******/
CREATE NONCLUSTERED INDEX [IX17_MPLS_EVENT_FTN] ON [dbo].[MPLS_EVENT] 
(
	[FTN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

ALTER TABLE dbo.FSA_ORDR_GOM_XNCI  ALTER COLUMN BILL_FTN varchar(20) 
GO

--ALTER TABLE arch.FSA_ORDR_GOM_XNCI  ALTER COLUMN BILL_FTN varchar(20) 
--GO




/****** Object:  View [dbo].[vFSA_ORDR_GOM_XNCI]    Script Date: 05/08/2015 16:07:40 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vFSA_ORDR_GOM_XNCI]'))
DROP VIEW [dbo].[vFSA_ORDR_GOM_XNCI]
GO


/****** Object:  View [dbo].[vFSA_ORDR_GOM_XNCI]    Script Date: 05/08/2015 16:07:41 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vFSA_ORDR_GOM_XNCI]   AS  SELECT * FROM  [dbo].[FSA_ORDR_GOM_XNCI]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[FSA_ORDR_GOM_XNCI]  with (nolock)    

GO


/****** Object:  Index [IX12_NGVN_EVENT_FTN]    Script Date: 05/08/2015 16:08:30 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[NGVN_EVENT]') AND name = N'IX12_NGVN_EVENT_FTN')
DROP INDEX [IX12_NGVN_EVENT_FTN] ON [dbo].[NGVN_EVENT] WITH ( ONLINE = OFF )
GO

GO

ALTER TABLE dbo.NGVN_EVENT  ALTER COLUMN FTN varchar(20) 
GO

/****** Object:  Index [IX12_NGVN_EVENT_FTN]    Script Date: 05/08/2015 16:08:30 ******/
CREATE NONCLUSTERED INDEX [IX12_NGVN_EVENT_FTN] ON [dbo].[NGVN_EVENT] 
(
	[FTN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

--ALTER TABLE arch.NGVN_EVENT  ALTER COLUMN FTN varchar(20) 
--GO

--ALTER TABLE arch.MDS_EVENT_MNGD_DEV  ALTER COLUMN FTN varchar(20) 
--GO

ALTER TABLE dbo.MDS_EVENT_MNGD_DEV  ALTER COLUMN FTN varchar(20) 
GO


--ALTER TABLE arch.MDS_EVENT ALTER COLUMN FTN varchar(20) 
--GO


/****** Object:  Index [IX25_MDS_EVENT_FTN]    Script Date: 05/08/2015 16:13:10 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[MDS_EVENT]') AND name = N'IX25_MDS_EVENT_FTN')
DROP INDEX [IX25_MDS_EVENT_FTN] ON [dbo].[MDS_EVENT] WITH ( ONLINE = OFF )
GO

ALTER TABLE dbo.MDS_EVENT ALTER COLUMN FTN varchar(20) 
GO

/****** Object:  Index [IX25_MDS_EVENT_FTN]    Script Date: 05/08/2015 16:13:10 ******/
CREATE NONCLUSTERED INDEX [IX25_MDS_EVENT_FTN] ON [dbo].[MDS_EVENT] 
(
	[FTN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO



/****** Object:  View [dbo].[vMDS_EVENT]    Script Date: 05/08/2015 16:14:01 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMDS_EVENT]'))
DROP VIEW [dbo].[vMDS_EVENT]
GO

/****** Object:  View [dbo].[vMDS_EVENT]    Script Date: 05/08/2015 16:14:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMDS_EVENT]   AS  SELECT * FROM  [dbo].[MDS_EVENT]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[MDS_EVENT]  with (nolock)    

GO


/****** Object:  View [dbo].[vMDS_EVENT_MNGD_DEV]    Script Date: 05/08/2015 16:19:27 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMDS_EVENT_MNGD_DEV]'))
DROP VIEW [dbo].[vMDS_EVENT_MNGD_DEV]
GO



/****** Object:  View [dbo].[vMDS_EVENT_MNGD_DEV]    Script Date: 05/08/2015 16:19:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMDS_EVENT_MNGD_DEV]   AS  SELECT * FROM  [dbo].[MDS_EVENT_MNGD_DEV]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[MDS_EVENT_MNGD_DEV]  with (nolock)    

GO



/****** Object:  View [dbo].[vMDS_EVENT_MNS_OE]    Script Date: 05/08/2015 16:20:06 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMDS_EVENT_MNS_OE]'))
DROP VIEW [dbo].[vMDS_EVENT_MNS_OE]
GO


/****** Object:  View [dbo].[vMDS_EVENT_MNS_OE]    Script Date: 05/08/2015 16:20:06 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMDS_EVENT_MNS_OE]   AS  SELECT * FROM  [dbo].[MDS_EVENT_MNS_OE]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[MDS_EVENT_MNS_OE]  with (nolock)    

GO



/****** Object:  View [dbo].[vMPLS_EVENT]    Script Date: 05/08/2015 16:21:01 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vMPLS_EVENT]'))
DROP VIEW [dbo].[vMPLS_EVENT]
GO


/****** Object:  View [dbo].[vMPLS_EVENT]    Script Date: 05/08/2015 16:21:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vMPLS_EVENT]   AS  SELECT * FROM  [dbo].[MPLS_EVENT]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[MPLS_EVENT]  with (nolock)    

GO



/****** Object:  Index [IX12_SPLK_EVENT_FTN]    Script Date: 05/08/2015 16:21:39 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[SPLK_EVENT]') AND name = N'IX12_SPLK_EVENT_FTN')
DROP INDEX [IX12_SPLK_EVENT_FTN] ON [dbo].[SPLK_EVENT] WITH ( ONLINE = OFF )
GO

ALTER TABLE dbo.SPLK_EVENT ALTER COLUMN FTN varchar(20) 
GO

/****** Object:  Index [IX12_SPLK_EVENT_FTN]    Script Date: 05/08/2015 16:21:40 ******/
CREATE NONCLUSTERED INDEX [IX12_SPLK_EVENT_FTN] ON [dbo].[SPLK_EVENT] 
(
	[FTN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

--ALTER TABLE arch.SPLK_EVENT ALTER COLUMN FTN varchar(20) 
--GO



/****** Object:  View [dbo].[vNGVN_EVENT]    Script Date: 05/08/2015 16:22:50 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vNGVN_EVENT]'))
DROP VIEW [dbo].[vNGVN_EVENT]
GO


/****** Object:  View [dbo].[vNGVN_EVENT]    Script Date: 05/08/2015 16:22:50 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vNGVN_EVENT]   AS  SELECT * FROM  [dbo].[NGVN_EVENT]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[NGVN_EVENT]  with (nolock)    

GO


/****** Object:  View [dbo].[vSPLK_EVENT]    Script Date: 05/08/2015 16:23:31 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vSPLK_EVENT]'))
DROP VIEW [dbo].[vSPLK_EVENT]
GO


/****** Object:  View [dbo].[vSPLK_EVENT]    Script Date: 05/08/2015 16:23:31 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vSPLK_EVENT]   AS  SELECT * FROM  [dbo].[SPLK_EVENT]  WITH (NOLOCK) --UNION SELECT * FROM  [arch].[SPLK_EVENT]  with (nolock)    

GO





/****** Object:  UserDefinedDataType [dbo].[FTN]    Script Date: 05/08/2015 15:15:21 ******/
IF  EXISTS (SELECT * FROM sys.types st JOIN sys.schemas ss ON st.schema_id = ss.schema_id WHERE st.name = N'FTN' AND ss.name = N'dbo')
DROP TYPE [dbo].[FTN]
GO

/****** Object:  UserDefinedDataType [dbo].[FTN]    Script Date: 05/08/2015 16:24:45 ******/
CREATE TYPE [dbo].[FTN] FROM [varchar](20) NOT NULL
GO

ALTER TABLE dbo.MDS_EVENT_ACCS ALTER COLUMN ACCS_FTN_NBR Varchar(20)

GO

--ALTER TABLE arch.MDS_EVENT_ACCS ALTER COLUMN ACCS_FTN_NBR Varchar(20)

--GO

ALTER TABLE dbo.MDS_EVENT_CPE ALTER COLUMN CPE_FTN_NBR Varchar(20)

GO

--ALTER TABLE arch.MDS_EVENT_CPE ALTER COLUMN CPE_FTN_NBR Varchar(20)

--GO

ALTER TABLE dbo.MDS_EVENT_MNS ALTER COLUMN MNS_FTN_NBR Varchar(20)

GO

--ALTER TABLE arch.MDS_EVENT_MNS ALTER COLUMN MNS_FTN_NBR Varchar(20)

-- GO

ALTER TABLE dbo.MDS_EVENT_WIRED_TRNSPRT_DEV ALTER COLUMN TRPT_FTN Varchar(20)

GO

--ALTER TABLE arch.MDS_EVENT_WIRED_TRNSPRT_DEV ALTER COLUMN TRPT_FTN Varchar(20)

-- GO

ALTER TABLE dbo.NRM_CKT ALTER COLUMN FTN Varchar(20)

GO

--ALTER TABLE arch.NRM_CKT ALTER COLUMN FTN Varchar(20)

-- GO


/****** Object:  Index [UX01_NRM_SRVC_INSTC]    Script Date: 05/08/2015 16:42:45 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[NRM_SRVC_INSTC]') AND name = N'UX01_NRM_SRVC_INSTC')
ALTER TABLE [dbo].[NRM_SRVC_INSTC] DROP CONSTRAINT [UX01_NRM_SRVC_INSTC]
GO

ALTER TABLE dbo.NRM_SRVC_INSTC ALTER COLUMN FTN Varchar(20)

GO


/****** Object:  Index [UX01_NRM_SRVC_INSTC]    Script Date: 05/08/2015 16:42:45 ******/
ALTER TABLE [dbo].[NRM_SRVC_INSTC] ADD  CONSTRAINT [UX01_NRM_SRVC_INSTC] UNIQUE CLUSTERED 
(
	[SRVC_INSTC_OBJ_ID] ASC,
	[FTN] ASC,
	[NUA_ADR] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO



/****** Object:  Index [UX01_NRM_SRVC_INSTC_arch]    Script Date: 05/08/2015 16:44:11 ******/
--IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[arch].[NRM_SRVC_INSTC]') AND name = N'UX01_NRM_SRVC_INSTC_arch')
--ALTER TABLE [arch].[NRM_SRVC_INSTC] DROP CONSTRAINT [UX01_NRM_SRVC_INSTC_arch]
--GO

--ALTER TABLE arch.NRM_SRVC_INSTC ALTER COLUMN FTN Varchar(20)

--GO


/****** Object:  Index [UX01_NRM_SRVC_INSTC_arch]    Script Date: 05/08/2015 16:44:11 ******/
--ALTER TABLE [arch].[NRM_SRVC_INSTC] ADD  CONSTRAINT [UX01_NRM_SRVC_INSTC_arch] UNIQUE CLUSTERED 
--(
--	[SRVC_INSTC_OBJ_ID] ASC,
--	[FTN] ASC,
--	[NUA_ADR] ASC
--)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
--GO





ALTER TABLE dbo.NRM_VNDR ALTER COLUMN FTN Varchar(20)

GO

--ALTER TABLE arch.NRM_VNDR ALTER COLUMN FTN Varchar(20)

--GO

ALTER TABLE dbo.ASR ALTER COLUMN MSTR_FTN_CD Varchar(20)

GO

--ALTER TABLE arch.ASR ALTER COLUMN MSTR_FTN_CD Varchar(20)

--GO

ALTER TABLE dbo.FSA_ORDR ALTER COLUMN PRNT_FTN Varchar(20)

GO

--ALTER TABLE arch.FSA_ORDR ALTER COLUMN PRNT_FTN Varchar(20)

--GO

ALTER TABLE dbo.FSA_ORDR ALTER COLUMN RELTD_FTN Varchar(20)

GO

--ALTER TABLE arch.FSA_ORDR ALTER COLUMN RELTD_FTN Varchar(20)

--GO


